diff --git a/src/kx.c b/src/kx.c
index 8e6721d..5980355 100644
--- a/src/kx.c
+++ b/src/kx.c
@@ -644,12 +644,8 @@ Z K ex0(V*v,K k,I r) //r: {0,1,2} -> {code, (code), [code]}
       }
       cd(t);
       /////////////////////////
-      if(z->t==7 && z->n==1 && kK(kK(z)[CODE])[0]==offsetSSR && k->t==0 && k->n==3 && ABS(kK(k)[2]->t)==3){
-        K x=kK(k)[2];
-        if(xn==1 && xt==3){K y=enlist(x); kK(k)[2]=enlist(y); cd(y);}
-        else kK(k)[2]=enlist(x);
-        cd(x);
-      }
+      if(z->t==7 && z->n==1 && kK(kK(z)[CODE])[0]==offsetSSR && k->t==0 && k->n==3 && ABS(kK(k)[2]->t)==-3)
+         {kK(k)[2]=enlist(kK(k)[2]); cd(x);}
       x=vf_ex(&z,k); cd(z); z=x; //copy/paste
       /////////////////////////
     }
diff --git a/src/tests.c b/src/tests.c
index a16ad68..0d7dec3 100644
--- a/src/tests.c
+++ b/src/tests.c
@@ -1084,7 +1084,7 @@ Z I testsBook()
   TC("that", _ssr["this";"is";"at"])
   TC("asdf", _ssr["gsdf";"g";,"a"])
   TC("asdf", _ssr["gsdf";"g";"a"])
-  TC("abcda", _ssr["abcda";"a";"e"])   //issue #302
+  TC("ebcde", _ssr["abcda";"a";"e"])   //issue #302
 
   //Regressions
   TC(2, _2.5)
